From: "Azamat H. Hackimov" <winterheart@gentoo.ru>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gamerlay:master commit in: games-fps/zdoom/
Date: Thu, 27 Oct 2016 17:57:29 +0000 (UTC) [thread overview]
Message-ID: <1477590976.2b89f782ea206f0bac51cad18821aa6849022083.winterheart@gentoo> (raw)
commit: 2b89f782ea206f0bac51cad18821aa6849022083
Author: Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Thu Oct 27 17:55:53 2016 +0000
Commit: Azamat H. Hackimov <winterheart <AT> gentoo <DOT> ru>
CommitDate: Thu Oct 27 17:56:16 2016 +0000
URL: https://gitweb.gentoo.org/proj/gamerlay.git/commit/?id=2b89f782
games-fps/zdoom: bump to 2.8.1
Added unpacker DEPEND for 7zip (bug #598160).
FMOD support had broken by upstream, temporary disabled.
There few QA notices, I'm planning to fix them in upstream.
Package-Manager: portage-2.3.0
Manifest-Sign-Key: A018DE8C
games-fps/zdoom/metadata.xml | 6 ++-
games-fps/zdoom/zdoom-2.7.1.ebuild | 75 -------------------------------------
games-fps/zdoom/zdoom-2.8.1.ebuild | 77 ++++++++++++++++++++++++++++++++++++++
games-fps/zdoom/zdoom-9999.ebuild | 75 -------------------------------------
4 files changed, 82 insertions(+), 151 deletions(-)
diff --git a/games-fps/zdoom/metadata.xml b/games-fps/zdoom/metadata.xml
index 202e559..36b28ff 100644
--- a/games-fps/zdoom/metadata.xml
+++ b/games-fps/zdoom/metadata.xml
@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer>
+<maintainer type="person">
<email>azamat.hackimov@gmail.com</email>
<name>Azamat H. Hackimov</name>
</maintainer>
@@ -11,5 +11,9 @@ ZDoom is an enhanced port of the official DOOM source code
<longdescription lang="ru">
ZDoom - улучшенный порт движка DOOM
</longdescription>
+<use>
+<flag name="asm">Enable assembly implementations</flag>
+<!-- <flag name="fmod">Enable the fmod music and sound effects</flag> -->
+</use>
</pkgmetadata>
diff --git a/games-fps/zdoom/zdoom-2.7.1.ebuild b/games-fps/zdoom/zdoom-2.7.1.ebuild
deleted file mode 100644
index bfdb12e..0000000
--- a/games-fps/zdoom/zdoom-2.7.1.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-inherit cmake-utils eutils games versionator unpacker
-
-DESCRIPTION="ZDoom is an enhanced port of the official DOOM source code"
-HOMEPAGE="http://www.zdoom.org"
-SRC_URI="http://www.zdoom.org/files/${PN}/$(get_version_component_range 1-2)/${P}-src.7z"
-
-LICENSE="BSD BUILD DOOM"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="cpu_flags_x86_mmx gtk"
-
-RDEPEND="app-arch/bzip2
- media-libs/fmod:1
- media-libs/libsdl:0
- media-sound/fluidsynth
- sys-libs/zlib
- virtual/jpeg:0
- x11-libs/libXcursor
- gtk? ( x11-libs/gtk+:2 )"
-DEPEND="${RDEPEND}
- cpu_flags_x86_mmx? ( || ( dev-lang/nasm dev-lang/yasm ) )"
-
-S="${WORKDIR}"
-
-src_prepare() {
- # Add new versions of FMOD
- sed -i \
- -e "s:\(set( MAJOR_VERSIONS\):\1 \"40\" \"38\":" \
- src/CMakeLists.txt || die
- # Use default game data path
- sed -i \
- -e "s:/usr/local/share/:${GAMES_DATADIR}/doom-data/:" \
- src/sdl/i_system.h || die "sed i_system.h failed"
-}
-
-src_configure() {
- mycmakeargs=(
- "-DFMOD_LOCAL_LIB_DIRS=/opt/fmodex/api/lib"
- "-DFMOD_INCLUDE_DIR=/opt/fmodex/api/inc"
-# "-DSHARE_DIR=\"${GAMES_DATADIR}/doom-data\""
- $(cmake-utils_use_no gtk GTK)
- $(cmake-utils_use_no cpu_flags_x86_mmx ASM)
- )
- cmake-utils_src_configure
-}
-
-src_compile() {
- cmake-utils_src_compile
-}
-
-src_install() {
- dogamesbin "${CMAKE_BUILD_DIR}/${PN}" || die "dogamesbin failed"
- insinto "${GAMES_DATADIR}/doom-data"
- doins "${CMAKE_BUILD_DIR}/${PN}.pk3" || die "doins failed"
- dodoc docs/commands.txt
- dohtml docs/console.{css,html}
- prepgamesdirs
-}
-
-pkg_postinst() {
- games_pkg_postinst
- echo
- elog "Copy or link wad files into ${GAMES_DATADIR}/doom-data/"
- elog "(the files must be readable by the 'games' group)."
- elog
- elog "To play, simply run:"
- elog
- elog " zdoom"
- echo
-}
diff --git a/games-fps/zdoom/zdoom-2.8.1.ebuild b/games-fps/zdoom/zdoom-2.8.1.ebuild
new file mode 100644
index 0000000..66e4ffe
--- /dev/null
+++ b/games-fps/zdoom/zdoom-2.8.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit cmake-utils eutils versionator unpacker
+
+DESCRIPTION="ZDoom is an enhanced port of the official DOOM source code"
+HOMEPAGE="http://www.zdoom.org"
+SRC_URI="http://www.zdoom.org/files/${PN}/$(get_version_component_range 1-2)/${P}-src.7z"
+
+LICENSE="BSD BUILD DOOM"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# FIXME fmod does not work
+IUSE="asm gtk openal"
+
+# fmod? ( media-libs/fmod:1 )
+RDEPEND="app-arch/bzip2
+ media-libs/game-music-emu
+ media-libs/libsdl2
+ openal? ( media-libs/openal )
+ media-sound/fluidsynth
+ sys-libs/zlib
+ virtual/jpeg:0
+ x11-libs/libXcursor
+ gtk? ( x11-libs/gtk+:2 )"
+DEPEND="${RDEPEND}
+ asm? ( || ( dev-lang/nasm dev-lang/yasm ) )
+ $(unpacker_src_uri_depends)"
+
+S="${WORKDIR}"
+
+DOCS=( "docs/commands.txt" )
+HTML_DOCS=( "docs/console.{css,html}" )
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "s:/usr/local/share/:/usr/share/doom-data/:" \
+ src/posix/i_system.h || die "sed i_system.h failed"
+
+ sed -i \
+ -e "s:/usr/local/share/doom:/usr/share/doom-data/:" \
+ src/gameconfigfile.cpp || die "sed gameconfigfile.cpp failed"
+}
+
+src_configure() {
+ mycmakeargs=(
+# "-DFMOD_LOCAL_LIB_DIRS=/opt/fmodex/api/lib"
+# "-DFMOD_INCLUDE_DIR=/opt/fmodex/api/inc"
+ "-DGME_INCLUDE_DIR=/usr/include"
+ "-DFORCE_INTERNAL_GME=no"
+ -DNO_ASM=$(usex !asm)
+# -DNO_FMOD=$(usex !fmod)
+ -DNO_GTK=$(usex !gtk)
+ -DNO_OPENAL=$(usex !openal)
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ dobin "${CMAKE_BUILD_DIR}/${PN}"
+ insinto "/usr/share/doom-data"
+ doins "${CMAKE_BUILD_DIR}/${PN}.pk3"
+}
+
+pkg_postinst() {
+ echo
+ elog "Copy or link wad files into /usr/share/doom-data/"
+ elog
+ elog "To play, simply run:"
+ elog
+ elog " zdoom"
+ echo
+}
diff --git a/games-fps/zdoom/zdoom-9999.ebuild b/games-fps/zdoom/zdoom-9999.ebuild
deleted file mode 100644
index ec827c8..0000000
--- a/games-fps/zdoom/zdoom-9999.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-inherit cmake-utils eutils games git-2
-
-DESCRIPTION="ZDoom is an enhanced port of the official DOOM source code"
-HOMEPAGE="http://www.zdoom.org"
-EGIT_REPO_URI="https://github.com/rheit/zdoom"
-#SRC_URI="http://www.zdoom.org/files/${PN}/2.5/${P}-src.7z"
-
-LICENSE="BSD BUILD DOOM"
-SLOT="0"
-KEYWORDS=""
-IUSE="cpu_flags_x86_mmx gtk"
-
-RDEPEND="app-arch/bzip2
- media-libs/fmod:1
- media-sound/fluidsynth
- sys-libs/zlib
- virtual/jpeg:0
- x11-libs/libXcursor
- gtk? ( x11-libs/gtk+:2 )"
-DEPEND="${RDEPEND}
- cpu_flags_x86_mmx? ( || ( dev-lang/nasm dev-lang/yasm ) )"
-
-S="${WORKDIR}"
-
-src_prepare() {
- # Add new versions of FMOD
- sed -i \
- -e "s:\(set( MAJOR_VERSIONS\):\1 \"40\" \"38\":" \
- src/CMakeLists.txt || die
- # Use default game data path
-# sed -i \
-# -e "s:/usr/local/share/:${GAMES_DATADIR}/doom-data/:" \
-# src/sdl/i_system.h || die "sed i_system.h failed"
-}
-
-src_configure() {
- mycmakeargs=(
- "-DFMOD_LOCAL_LIB_DIRS=/opt/fmodex/api/lib"
- "-DFMOD_INCLUDE_DIR=/opt/fmodex/api/inc"
-# "-DSHARE_DIR=\"${GAMES_DATADIR}/doom-data\""
- $(cmake-utils_use_no gtk GTK)
- $(cmake-utils_use_no cpu_flags_x86_mmx ASM)
- )
- cmake-utils_src_configure
-}
-
-src_compile() {
- cmake-utils_src_compile
-}
-
-src_install() {
- dogamesbin "${CMAKE_BUILD_DIR}/${PN}" || die "dogamesbin failed"
- insinto "${GAMES_DATADIR}/doom-data"
- doins "${CMAKE_BUILD_DIR}/${PN}.pk3" || die "doins failed"
- dodoc docs/commands.txt
- dohtml docs/console.{css,html}
- prepgamesdirs
-}
-
-pkg_postinst() {
- games_pkg_postinst
- echo
- elog "Copy or link wad files into ${GAMES_DATADIR}/doom-data/"
- elog "(the files must be readable by the 'games' group)."
- elog
- elog "To play, simply run:"
- elog
- elog " zdoom"
- echo
-}
next reply other threads:[~2016-10-27 17:57 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-27 17:57 Azamat H. Hackimov [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-03-05 21:18 [gentoo-commits] proj/gamerlay:master commit in: games-fps/zdoom/ Azamat H. Hackimov
2015-06-20 21:39 Azamat H. Hackimov
2013-07-09 15:20 Azamat H. Hackimov
2013-06-12 9:56 Azamat H. Hackimov
2012-11-29 16:28 Azamat H. Hackimov
2012-04-23 19:19 Azamat H. Hackimov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1477590976.2b89f782ea206f0bac51cad18821aa6849022083.winterheart@gentoo \
--to=winterheart@gentoo.ru \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox